
public class EmployeeTest {

	public static void main(String args[]) {
		Editor myEditor = new Editor();
		TechnicalIllustrator myTI = new TechnicalIllustrator();
		TechnicalWriter myTW = new TechnicalWriter();
		Manager myManager = new Manager();
		
		myEditor.setName("Fred Hanson");
		myEditor.setJobTitle("Editor");
		myEditor.calculateEmployeeID();
		myEditor.setLevel(1);
		myEditor.setSkill("technical editing");
		myEditor.setSkill("typing");
		myEditor.setEditType(false);
		myEditor.displayEditorInformation();
		
		myTI.setName("Sara Smith");
		myTI.setJobTitle("Technical Illustrator");
		myTI.calculateEmployeeID();
		myTI.setLevel(3);
		myTI.setSkill("technical illustration");
		myTI.setSkill("video production");
		myTI.setSkill("media authoring");
		myTI.displayTechnicalIllustratorInformation();
		
		myTW.setName("James Ralph");
		myTW.setJobTitle("Technical Writer");
		myTW.calculateEmployeeID();
		myTW.setLevel(1);
		myTW.setSkill("technical writing");
		myTW.displayTechnicalWriterInformation();

		myManager.setName("Susan Smith");
		myManager.setJobTitle("Manager");
		myManager.calculateEmployeeID();
		myManager.setLevel(2);
		myManager.setEmployee(myEditor);
		myManager.setEmployee(myTI);
		myManager.setEmployee(myTW);
		myManager.displayManagerInformation();
	}

}
